org.encog.ml.genetic.genome

## Class DoubleArrayGenome

- java.lang.Object
- - org.encog.ml.ea.genome.BasicGenome
  - - org.encog.ml.genetic.genome.DoubleArrayGenome

- All Implemented Interfaces:
    Serializable, Genome, ArrayGenome, MLMethod
  Direct Known Subclasses:
    MLMethodGenome

      public class DoubleArrayGenome
      extends BasicGenome
      implements ArrayGenome

  A genome made up of continuous doubles.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleArrayGenome(DoubleArrayGenome other)` Construct a genome based on another genome.
    `DoubleArrayGenome(int size)` Construct a genome of a specific size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(ArrayGenome source, int sourceIndex, int targetIndex)` Copy elements from another array genome into this one.
    `void` | `copy(Genome source)` Copy from the specified genome into this one.
    `double[]` | `getData()`
    `int` | `size()`
    `void` | `swap(int iswap1, int iswap2)` Swap two elements in this genome.

    - ### Methods inherited from class org.encog.ml.ea.genome.BasicGenome

      `getAdjustedScore, getBirthGeneration, getPopulation, getScore, getSpecies, setAdjustedScore, setBirthGeneration, setPopulation, setScore, setSpecies, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.encog.ml.ea.genome.Genome

      `getAdjustedScore, getBirthGeneration, getPopulation, getScore, getSpecies, setAdjustedScore, setBirthGeneration, setPopulation, setScore, setSpecies`

- - ### Constructor Detail

    - #### DoubleArrayGenome

          public DoubleArrayGenome(int size)

      Construct a genome of a specific size.
      Parameters:
        `size` - The size.

    - #### DoubleArrayGenome

          public DoubleArrayGenome(DoubleArrayGenome other)

      Construct a genome based on another genome.
      Parameters:
        `other` -

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Genome`
      Returns:
        Return the size of this genome. This size is a relative number that indicates the complexity of the genome.

    - #### copy

          public void copy(ArrayGenome source,
                  int sourceIndex,
                  int targetIndex)

      Copy elements from another array genome into this one.
      Specified by:
        `copy` in interface `ArrayGenome`
      Parameters:
        `source` - The source genome.
        `sourceIndex` - The source index.
        `targetIndex` - The target index.

    - #### getData

          public double[] getData()

      Returns:
        The data.

    - #### copy

          public void copy(Genome source)

      Copy from the specified genome into this one.
      Specified by:
        `copy` in interface `Genome`
      Parameters:
        `source` - The source genome.

    - #### swap

          public void swap(int iswap1,
                  int iswap2)

      Swap two elements in this genome.
      Specified by:
        `swap` in interface `ArrayGenome`
      Parameters:
        `iswap1` - The first element index to swap.
        `iswap2` - The second element index to swap.

Copyright © 2014. All Rights Reserved.